Bug 6494 - Неточность в описании пакета
: Неточность в описании пакета
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/gpart)
: 2.4
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-04-12 14:11 by
Modified: 2009-05-10 09:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-12 14:11:04
В описании пакета gpart начинается так "Инструмент, который пытается угадать
таблицу первичных разделов (primary partition table) жёсткого диска PC...". Это
неверно. Он работает не только с primary partition table, но и с extended
таблицей.
------- Comment #1 From 2005-04-12 14:13:46 -------
В описании пакета gpart начинается так "Инструмент, который пытается угадать
таблицу первичных разделов (primary partition table) жёсткого диска PC...". Это
неверно. Он работает не только с primary partition table, но и с extended
таблицей.
------- Comment #2 From 2007-06-24 01:58:23 -------
Эта программа пытается определить расположение разделов на жестком диске в
случае, 
если таблица разделов повреждена, нарушена или удалена. Для этого анализируется 
содержимое жесткого диска (или его побитовой копии). На основании собранных
данных 
новая таблица разделов может быть записана в файл или устройство. 

Поддерживаются следующие типы разделов: DOS/Windows FAT, Linux ext2 и swap,
OS/2 
HPFS, Windows NTFS, FreeBSD и Solaris/x86 disklabels, Minix FS, QNX 4 FS, 
Reiser FS, физические тома LVM, BeOS FS, SGI XFS.

Так, по-моему, уже немного лучше. 
------- Comment #3 From 2007-12-26 10:00:17 -------
reassign
------- Comment #4 From 2007-12-26 10:01:41 -------
Боюсь, для M24 бэкпорта не будет, а вообще fixed in 0.1h-alt5:

Summary: Hard disk partition table reconstruction
Summary(ru_RU.KOI8-R): Восстановление таблицы разделов жёсткого диска

%description
A tool which tries to guess the partition table of a PC-type
hard disk in case the primary partition table in sector 0 is damaged,
incorrect or deleted.  This is performed by analyzing either hard
disk or its exact copy.

The guessed table can be written to a file or device. Supported
(guessable) filesystem or partition types: DOS/Windows FAT, Linux
ext2 and swap, OS/2 HPFS, Windows NTFS, FreeBSD and Solaris/x86
disklabels, Minix FS, QNX 4 FS, Reiser FS, LVM physical volumes,
BeOS FS, SGI XFS.

%description -l ru_RU.KOI8-R
Эта программа пытается определить расположение разделов на
жестком диске в случае, если таблица разделов повреждена,
нарушена или удалена. Для этого анализируется содержимое жесткого
диска (или его побитовой копии). Воссозданная на основании
собранных данных таблица разделов может быть записана в файл или
на устройство.

Поддерживаются следующие типы разделов: DOS/Windows FAT, Linux
ext2 и swap, OS/ 2 HPFS, Windows NTFS, FreeBSD и Solaris/x86
disklabels, Minix FS, QNX 4 FS, Reiser FS, физические тома LVM,
BeOS FS, SGI XFS.